package market.Qms.com.mapper;

import java.util.List;

import market.Qms.com.vo.BaseGradeChem;

import com.hnshituo.orm.GenericMapper;

public interface BaseGradeChemMapper extends GenericMapper {
		/**
		 * 作废或恢复
		 * @param validflag 1 有效，0 无效
		 * @param gradeCode 炼钢牌号编码
		 */
		void DelOrRenewSteelChem(String validflag,String gradeCode);

		/**
		 * 删除
		 * @param bgc
		 */
		void doDelete(BaseGradeChem bgc);

		/***
		 * 查询
		 * @param bgc
		 * @return
		 */
		List<BaseGradeChem> doFind(BaseGradeChem bgc);

		int getCount(BaseGradeChem baseGradeChem);
}
